require 'sketchup.rb'
require 'extensions.rb'
Sketchup.require(File.join(File.dirname(__FILE__), 'DM_ProfileBuilder3/langhandler'))

module DM
  module ProfileBuilder3

    VERSION = "3.3.5"
    PLUGIN = self
    PLUGIN_NAME = "Profile Builder 3".freeze
    LH = DMLanguageHandler.new("profilebuilder3.strings")

    if Sketchup.version.to_i >= 17
      pbExtension = SketchupExtension.new(PLUGIN_NAME, (File.join(File.dirname(__FILE__), "DM_ProfileBuilder3", "pb_load")))
      pbExtension.description = (LH["Profile Builder allows parametric modelling and editing of building materials.  This plugin uses the javascript library wz_jsgraphics.js which is free software under the terms of the LGPL license.  Open the file for further details. Some icons have been created by Visual Pharm (website:icons8.com) and are licensed for commercial use."])
      pbExtension.version = VERSION
      pbExtension.creator = "mind.sight.studios"
      pbExtension.copyright = "2023, MindSight Studios Inc. All rights reserved."
      Sketchup.register_extension(pbExtension, true)
    else
      # Don't localize the string below.  It will not be used often and the inner variables are very useful
      UI.messagebox("SketchUp 2017 or greater is required for Profile Builder #{VERSION}. " \
        "Please uninstall by going to #{Sketchup.find_support_file('Plugins')} and deleting both "\
        "the file DM_ProfileBuilder3.rb and the folder DM_ProfileBuilder3.")
    end
  end
end
